#include "dialog.h"
#include "ui_dialog.h"
#include "chart.h"
#include "matrix.h"
#include <QMessageBox>
#include <sstream>

using namespace std;

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);
    setWindowFlags(windowFlags()^Qt::WindowContextHelpButtonHint);
}

Dialog::~Dialog()
{
    delete ui;
}

// Dieser Slot wird aufgerufen, wenn die Taste "Simulation" gedrückt wird...
void Dialog::on_b_simulation_clicked()
{
    double r = ui->t_widerstand->text().toDouble();
    double l = ui->t_induktivitaet->text().toDouble();
    double c = ui->t_kapazitaet->text().toDouble();

    std::stringstream strm;
    strm << "Widerstand: "   << r << " Ohm\n";
    strm << "Induktivität: " << l << " Henry\n";
    strm << "Kapazität: "    << c << " Farad";

    QMessageBox box;
    box.setText(strm.str().c_str());
    box.exec();
}

